Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/user/menubox.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: menubox.php 6209 2001-07-19 12:36:31Z jakobn $
5 //
6 // Created on: <23-Mar-2001 10:57:04 fh>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "ezbulkmail/classes/ezbulkmailcategory.php" );
29
30 $ini =& eZINI::instance( 'site.ini' );
31 $Language = $ini->variable( "eZBulkMailMain", "Language" );
32
33 // include_once( "classes/eztemplate.php" );
34 // include_once( "classes/ezdb.php" );
35
36 $t = new eZTemplate( "kernel/ezbulkmail/user/" . $ini->variable( "eZBulkMailMain", "TemplateDir" ),
37 "kernel/ezbulkmail/user/intl", $Language, "menubox.php" );
38
39 $t->setAllStrings();
40 $t->set_var( "sitedesign", $GlobalSiteDesign );
41
42 $t->set_file( array(
43 "menu_box_tpl" => "menubox.tpl"
44 ) );
45
46 $t->set_block( "menu_box_tpl", "normal_list_tpl", "normal_list" );
47 $t->set_block( "menu_box_tpl", "single_list_tpl", "single_list" );
48 $t->set_var( "normal_list", "" );
49 $t->set_var( "single_list", "" );
50
51 $category = eZBulkMailCategory::singleList( false );
52 if( $category == false )
53 {
54 $t->parse( "normal_list", "normal_list_tpl" );
55 }
56 else
57 {
58 $t->parse( "single_list", "single_list_tpl" );
59 }
60
61 $t->pparse( "output", "menu_box_tpl" );
62
63 ?>
eZTemplate
Definition: eztemplate.php:107
$category
$category
Definition: ezbulkmail/user/menubox.php:51
$t
$t
Definition: ezbulkmail/user/menubox.php:36
$Language
$Language
Definition: ezbulkmail/user/menubox.php:31
$ini
$ini
Definition: ezbulkmail/user/menubox.php:30
$GlobalSiteDesign
global $GlobalSiteDesign
Definition: latestmessages.php:52
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.